/*
* Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
*
* https://www.mall4j.com/
*
* 未经允许，不可做商业用途！
*
* 版权所有，侵权必究！
*/
import request from '@/utils/request'

export function page (pageParam) {
  return request({
    url: '/mall4cloud_admin/mp/notice/p/pagePlatformNotice',
    method: 'get',
    params: pageParam
  })
}

export function unreadPage (pageParam) {
  return request({
    url: '/mall4cloud_biz/mp/notify_log/unread_count_list',
    method: 'get',
    params: pageParam
  })
}

export function remindPage (pageParam) {
  return request({
    url: '/mall4cloud_biz/mp/notify_template_remind/page',
    method: 'get',
    params: pageParam
  })
}

export function updateRemind (data) {
  return request({
    url: '/mall4cloud_biz/mp/notify_template_remind',
    method: 'PUT',
    data
  })
}

export function isRead (data) {
  return request({
    url: `/mall4cloud_biz/mp/notify_log/is_read?logIds=${data.logIds}&type=${data.type}`,
    method: 'PUT'
  })
}
